<?xml version="1.0"?>
<ComicInfo xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <Series>Vengeance of Vampirella</Series>
  <Number>22</Number>
  <Web>https://www.comixology.com/Vengeance-of-Vampirella-22/digital-comic/949572</Web>
  <Summary>Issue #22! Writer Tom Sniegoski continues to weave a post-apocalyptic tale featuring a literal hell on earth as a reborn vampirella fights against the literal forces of chaos to save humanity from its ultimate destruction!  

Vampirella and Jeannine wander the Chaoslands, exploring a world on the brink of transformation.  In the tiny town of Surette they think they’ve found an example of peace and tranquility, but soon learn that looks can be deceiving. In order for there to be harmony in the town, all must feed the desires of Mandrasath—and it looks like Vampirella will be the perfect snack.</Summary>
  <Notes>Scraped metadata from Comixology [CMXDB949572], [ASINB097FGJQT3]</Notes>
  <Publisher>Dynamite Entertainment</Publisher>
  <Genre>Horror, Fantasy, Leading Ladies</Genre>
  <PageCount>30</PageCount>
  <LanguageISO>en</LanguageISO>
  <ScanInformation></ScanInformation>
</ComicInfo>
